org.eclipse.microprofile.graphql

## Class EnumTest

- java.lang.Object
- - org.eclipse.microprofile.graphql.EnumTest

    public class EnumTest
    extends Object

Simple enum test.

### Constructor Summary

Constructors
Constructor and Description
`EnumTest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `testTypeAnnotationOnStarshipClass()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EnumTest

    public EnumTest()

### Method Detail

#### testTypeAnnotationOnStarshipClass

    public void testTypeAnnotationOnStarshipClass()
                                           throws Exception

Throws:
  `Exception`